/*
 Theme Name:     Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Divi Child Theme
 Author:         Elegant Themes
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.0.0
*/

/* Header */

#main-header {
	box-shadow: none;
}

@media (min-width: 981px) {
    .et_fullwidth_nav #main-header .container {
        padding-right: 3%;
        padding-left: 2.5%;
    }
}

/* Menu Custom */

.et-l--header .et-menu .menu-item {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
	padding-left: 7px;
	padding-right: 7px;
}

.et-l--header .et-menu .menu-item a {
	padding: 7px 11px;
}

.et-l--header .et-menu .et_pb_menu_page_id-114.menu-item a {
	color: #fff !important;
    background-color: #241c18;
	border:  2px solid #241c18;
}


.et-l--header .et-menu .et_pb_menu_page_id-114.menu-item a:hover {
	color: #241c18 !important;
    background-color: transparent;
	opacity: 1;
}

.et-l--header .et-menu .logo-facebook-main-menu img {
	background-color: #943b01;
	padding: 7px;
	margin-top: 1px;
	transition: all 300ms ease 0ms;
}

.et-l--header .et-menu .logo-facebook-main-menu a:hover {
	opacity: 1;
}

.et-l--header .et-menu .logo-facebook-main-menu a:hover img {
	background-color: #241c18;
}


html:has(#michaudbep-menu.open) {
	overflow-y: hidden;
}

.michaudbep-menu-btn {
    width: 64px;
    height: 64px;
    cursor: pointer;
}

.michaudbep-menu-btn.michaudbep-menu-btn-top {
    position: absolute;
    top: 20px;
    left: auto;
    right: 0;
    z-index: 10000;
}

.michaudbep-menu-btn .michaudbep-menu-btn-line {
    width: 44px;
    height: 5px;
    background-color: #241c18;
    border-radius: 3px;
    position: absolute;
    top: calc(50% - 2.5px);
    left: calc(50% - 22px);
    transition: transform .4s, opacity .4s, background-color .4s;
}

.michaudbep-menu-btn .michaudbep-menu-btn-line:nth-of-type(1) {
    transform: translateY(-10px);
}

.michaudbep-menu-btn .michaudbep-menu-btn-line:nth-of-type(2) {
    transform: none;
    opacity: 1;
}

.michaudbep-menu-btn .michaudbep-menu-btn-line:nth-of-type(3) {
    transform: none;
    opacity: 1;
}

.michaudbep-menu-btn .michaudbep-menu-btn-line:nth-of-type(4) {
    transform: translateY(10px);
}

.michaudbep-menu-btn.menu-open .michaudbep-menu-btn-line {
    background-color: #241c18;
}

.michaudbep-menu-btn.menu-open .michaudbep-menu-btn-line:nth-of-type(1) {
    transform: rotate(45deg);
}

.michaudbep-menu-btn.menu-open .michaudbep-menu-btn-line:nth-of-type(2) {
    transform: translateX(-100%);
    opacity: 0;
}

.michaudbep-menu-btn.menu-open .michaudbep-menu-btn-line:nth-of-type(3) {
    transform: translateX(100%);
    opacity: 0;
}

.michaudbep-menu-btn.menu-open .michaudbep-menu-btn-line:nth-of-type(4) {
    transform: rotate(-45deg);
}

#michaudbep-menu {
    max-width: 110%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: -10%;
    z-index: 9999;
    transition: transform .5s cubic-bezier(.52, .04, .29, 1.37);
    background-color: #241c18;
    padding: 10rem 9.5rem 1rem calc(9rem + 10%);
	font-size: 20px;
}

#michaudbep-menu:not(.open) {
    transform: translateX(-100%);
}

#michaudbep-menu ul li {
    margin-bottom: 0.6em;
}

#michaudbep-menu ul li a {
    font-size: 1.4em;
    line-height: 1em;
    color: #fff;
    padding: .3em .6em;
    display: inline-block;
    border-radius: 0em;
    transition: background-color .4s;
}

#michaudbep-menu ul li a:hover,
#michaudbep-menu ul li.current_page_item a {
    background-color: #943b01;
}

#michaudbep-menu ul li.logo-facebook-main-menu img {
    background-color: #943b01;
	border: 2px solid #943b01;
	padding: 5px;
	transition: background-color .4s;
}

#michaudbep-menu ul li.logo-facebook-main-menu a:hover img {
    background-color: #241c18;
}

#michaudbep-menu ul li.logo-facebook-main-menu a:hover {
    background-color: transparent;
}

@media (max-width: 980px) {
    .et-l--header .et_pb_row_0_tb_header .et_pb_column_0_tb_header {
        width: 50% !important;
		margin-bottom: 0;
    }
    .et-l--header .et_pb_row_0_tb_header .et_pb_column_1_tb_header {
        width: 50% !important;
    }
}

@media (max-width: 999px) {
    #michaudbep-menu {
        padding: 9rem 5.5rem 1rem calc(5rem + 10%);
    }
}

@media (max-width: 599px) {
    /*.michaudbep-menu-btn.michaudbep-menu-btn-top {
        top: 20px;
        left: 20px;
    }

    .admin-bar .michaudbep-menu-btn.michaudbep-menu-btn-top {
        top: 40px;
    }*/

    #michaudbep-menu {
        padding: 9rem 1rem 1rem calc(2rem + 10%);
		width: 85%;
    }
	
	#michaudbep-menu ul li a {
		font-size: 1em;
	}
}

/* Footer */

.et-l--footer .et_pb_column_1_3.et_pb_column_0_tb_footer .et_pb_text_inner p img {
	/*vertical-align: middle;*/
	vertical-align: sub;
}

@media only screen and (max-width: 1480px) and (min-width: 1091px) {	
	.et-l--footer .et_pb_section_0_tb_footer .et_pb_column_0_tb_footer,
	.et-l--footer .et_pb_section_0_tb_footer .et_pb_column_1_tb_footer {
	width: 40% !important;
 }
	
.et-l--footer .et_pb_section_0_tb_footer .et_pb_column_2_tb_footer {
	width: 10% !important;
 }
}

@media only screen and (max-width: 1090px) and (min-width: 981px) {	
	.et-l--footer .et_pb_section_0_tb_footer .et_pb_column_0_tb_footer {
		width: 50% !important;
		margin-bottom: 30px !important;
 }
	
.et-l--footer .et_pb_section_0_tb_footer .et_pb_column_1_tb_footer {
	width: 50% !important;
 }
}

@media only screen and (max-width: 981px) and (min-width: 767px) {	
	.et-l--footer .et_pb_section_0_tb_footer .et_pb_column_0_tb_footer {
		width: 58% !important;
 }
}

@media only screen and (max-width: 850px) {	
	.et-l--footer .et_pb_section_0_tb_footer {
	    background-size: 40% !important;
 }
	
.et-l--footer .et_pb_section_0_tb_footer .et_pb_row.et_pb_row_0_tb_footer .et_pb_module {
		width: 80% !important;
 }
}

@media only screen and (max-width: 550px) {	
	.et-l--footer .et_pb_section_0_tb_footer .et_pb_row.et_pb_row_0_tb_footer {
		width: 90% !important;
		margin: auto;
 }
	.et-l--footer .et_pb_column_1_3.et_pb_column_0_tb_footer .et_pb_text_inner p {
	font-size: 81%;
 }
	
	.et-l--footer .et_pb_column_1_3.et_pb_column_0_tb_footer .et_pb_button_0_tb_footer {
	font-size: 18px;
 }
.et-l--footer .et_pb_section_0_tb_footer .et_pb_row.et_pb_row_0_tb_footer .et_pb_module {
		width: 89% !important;
 }
}


@media only screen and (max-width: 550px) and (min-width: 451px) {	
.et-l--footer .et_pb_section_0_tb_footer .et_pb_row.et_pb_row_0_tb_footer .et_pb_module {
		width: 80% !important;
 }
}

/*@media only screen and (max-width: 450px) and (min-width: 360px) {		
.et-l--footer .et_pb_column_1_3.et_pb_column_0_tb_footer .et_pb_text_inner p {
	font-size: 81%;
 }
	
	.et-l--footer .et_pb_column_1_3.et_pb_column_0_tb_footer .et_pb_button_0_tb_footer {
	font-size: 18px;
 }
}*/
@media only screen and (max-width: 360px) {	
	.et-l--footer .et_pb_text_0_tb_footer .et_pb_text_inner p img {
		width: 20px;
 }
}


/* Accueil */
.image-accueil-parallax .et_parallax_bg_wrap .et_parallax_bg {
	bottom: 60px;
}


@media only screen and (max-width: 980px) {	
.section-en-operation-briques {
	background-size: 35% !important;
}

.section-en-operation-briques .et_pb_row .et_pb_column:first-child {
	width: 70% !important;
    float: right;
 }
}

@media only screen and (max-width: 767px) {	
	.accueil-slider-realisations {
		width: 90% !important;
	}
	/*.accueil-slider-realisations .dsm-post-carousel .dsm-post-carousel-item {
	width: fit-content !important;
}*/
	
	.accueil-slider-realisations .dsm_post_carousel_0 .swiper-button-prev {
        left: 5px !important;
    }
   .accueil-slider-realisations .dsm_post_carousel_0 .swiper-button-next {
        right: 5px !important;
    }
}

@media only screen and (max-width: 450px) {	
.section-en-operation-briques {
	background-size: 40% !important;
}

.section-en-operation-briques .et_pb_row .et_pb_column:first-child {
	width: 85% !important;
    float: right;
 }
}

/* Réalisations */
@media only screen and (max-width: 980px) {	
.section-realisations-maconnerie {
	width: 95%;
 }
 .section-realisations-maconnerie .dsm_filterable_gallery .dsm-filterable-gallery-container {
		margin-left: 10px;
	}
}

@media only screen and (max-width: 671px) {	
 .section-realisations-maconnerie .dsm_filterable_gallery .dsm-filterable-gallery-item {
	 width: calc(50% - 10px) !important;
 }
}

/* À propos */
.section-a-propos-briques-fond {
	
}@media only screen and (max-width: 980px) {	
.section-a-propos-briques-fond {
	background-size: 35% !important;
}

/*.section-a-propos-briques-fond .et_pb_row .et_pb_column:first-child {
	width: 70% !important;
    float: right;
 }*/
}

@media only screen and (max-width: 450px) {	
.section-a-propos-briques-fond {
	background-size: 40% !important;
}

.section-a-propos-briques-fond .et_pb_row .et_pb_column:first-child {
	width: 100% !important;
 }
	
/*	.section-a-propos-briques-fond .et_pb_row .et_pb_column:first-child .et_pb_text_inner h1 {
	padding-left: 25%;
 }*/
}

/*@media only screen and (max-width: 380px) {	
.section-a-propos-briques-fond .et_pb_row .et_pb_column:first-child .et_pb_text_inner h1 {
	padding-left: 22%;
 }
}*/

/* Contact */
.frm_forms .frm_form_field input,
.frm_forms .frm_form_field textarea {
	border-color: rgb(130 110 99 / 25%);
	transition: color 300ms ease 0ms, background-color 300ms ease 0ms, border 300ms ease 0ms;
}

.frm_forms .frm_form_field input:hover,
.frm_forms .frm_form_field textarea:hover {
	border-color: #826e63;
}

.frm_forms .frm_form_field input::placeholder,
.frm_forms .frm_form_field textarea::placeholder {
	color: #241c18;
}

.frm_forms .frm_form_field .frm_submit .frm_button_submit {
	text-transform: uppercase;
	padding: 10px 20px;
	font-weight: 500;
	letter-spacing: 2px;
	line-height: 1.7em !important;
	float: right;
	transition: color 300ms ease 0ms, background-color 300ms ease 0ms, border 300ms ease 0ms;
}


/* Complianz - Cookie */
#cmplz-manage-consent .cmplz-btn.cmplz-manage-consent {
	bottom: -8px !important;
    transition: transform 0.3s ease;
}

#cmplz-manage-consent .cmplz-btn.cmplz-manage-consent:hover {
	/*bottom: 0 !important;*/
	transform: translateY(-15%);
}
